{
  "codeName" : "TreeView",
  "controlType" : "TREEVIEW",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSTREEVIEWS/TreeView.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
  "logicName" : "树视图",
  "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdetreeviews/TreeView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "SELECTIONCHANGE;LOAD",
    "logicTag" : "tree",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_tree",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSDEDataImport" : {
    "modelref" : true,
    "id" : "DataImport"
  },
  "getPSDETreeNodeRSs" : [ {
    "getChildPSDETreeNode" : {
      "modelref" : true,
      "id" : "book"
    },
    "name" : "默认根节点 - 图书",
    "getParentPSDETreeNode" : {
      "modelref" : true,
      "id" : "ROOT"
    },
    "parentValueLevel" : 1,
    "searchMode" : 3
  }, {
    "getChildPSDETreeNode" : {
      "modelref" : true,
      "id" : "bookdata"
    },
    "name" : "图书 - 图书数据",
    "getParentPSDETreeNode" : {
      "modelref" : true,
      "id" : "book"
    },
    "parentValueLevel" : 1,
    "searchMode" : 3
  } ],
  "getPSDETreeNodes" : [ {
    "counterMode" : 0,
    "name" : "图书",
    "nodeType" : "book",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "text" : "图书",
    "treeNodeType" : "STATIC",
    "hasPSDETreeNodeRSs" : true,
    "appendPNodeId" : false,
    "disableSelect" : false,
    "enableCheck" : false,
    "enableEditData" : false,
    "enableNewData" : false,
    "enableQuickCreate" : false,
    "enableQuickSearch" : false,
    "enableRemoveData" : false,
    "enableViewData" : false,
    "expandFirstOnly" : false,
    "expanded" : false,
    "rootNode" : false,
    "selectFirstOnly" : false,
    "selected" : false,
    "id" : "book"
  }, {
    "counterMode" : 0,
    "getIdPSAppDEField" : {
      "name" : "IBIZBOOKID",
      "codeName" : "IBIZBOOKId"
    },
    "maxSize" : -1,
    "name" : "图书数据",
    "nodeType" : "bookdata",
    "getPSAppDEDataSet" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getTextPSAppDEField" : {
      "name" : "IBIZBOOKNAME",
      "codeName" : "IBIZBOOKName"
    },
    "treeNodeType" : "DE",
    "hasPSDETreeNodeRSs" : false,
    "appendPNodeId" : false,
    "disableSelect" : false,
    "enableCheck" : false,
    "enableEditData" : false,
    "enableNewData" : false,
    "enableQuickCreate" : false,
    "enableQuickSearch" : false,
    "enableRemoveData" : false,
    "enableViewData" : false,
    "expandFirstOnly" : false,
    "expanded" : false,
    "rootNode" : false,
    "selectFirstOnly" : false,
    "selected" : false,
    "id" : "bookdata"
  }, {
    "counterMode" : 0,
    "name" : "默认根节点",
    "nodeType" : "ROOT",
    "nodeValue" : "root",
    "text" : "默认根节点",
    "treeNodeType" : "STATIC",
    "hasPSDETreeNodeRSs" : true,
    "appendPNodeId" : false,
    "disableSelect" : false,
    "enableCheck" : false,
    "enableEditData" : false,
    "enableNewData" : false,
    "enableQuickCreate" : false,
    "enableQuickSearch" : false,
    "enableRemoveData" : false,
    "enableViewData" : false,
    "expandFirstOnly" : false,
    "expanded" : false,
    "rootNode" : true,
    "selectFirstOnly" : false,
    "selected" : false,
    "id" : "ROOT"
  } ],
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKTestCLTreeView/psappviewctrls/tree",
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "treeGridMode" : 0,
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "enableRootSelect" : false,
  "outputIconDefault" : true,
  "rootVisible" : false,
  "modelid" : "f22b892bee739e8b324af6684d3c1c7c",
  "modeltype" : "PSDETREEVIEW"
}